import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrClassrelationtemplatedetail {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  ClassRelationTemplateId!: bigint;
  SchoolId!: bigint;
  GradeId!: bigint;
  ClassId!: bigint;
  CloudClassId!: bigint;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrClassrelationtemplatedetailSchema = defineEntity({
  class: IcrClassrelationtemplatedetail,
  comment: '班级关联关系绑定',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    ClassRelationTemplateId: p.bigint().name('ClassRelationTemplateId').comment('模板id'),
    SchoolId: p.bigint().name('SchoolId').comment('学校Id'),
    GradeId: p.bigint().name('GradeId').comment('年级Id'),
    ClassId: p.bigint().name('ClassId').comment('班级Id'),
    CloudClassId: p.bigint().name('CloudClassId').comment('云班ID'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
